---
title: "Peer Review Transparency"
author: "Jon Tennant"
date: "30 December 2019"
output:
  word_document: default
  html_document: default
  pdf_document: default
---

## Introduction

**Aim**: To investigate and improve the transparency of peer review in palaeontological journals.

Peer review is widely considered fundamental to maintaining the rigour and validity of scholarly research. However, the process is often opaque, which can introduce bias into reporting standards for research and reduce the overall quality of the published record.

Presently, peer review is a non-standardised process, either across or within disciplines. Training and support is generally lacking, and it is often the case that reviewers, through no fault of their own, are unaware of the critical questions to be asking with respect to research design, methods, reporting, and analysis.

## Concept

The aim of this project, therefore, is to create a set of guidelines and a checklist for reviewers that can help to provide more rigour into the review process. This is specifically geared at palaeontologists, and based on studies such as that by [Parker et al. (2018)](https://github.com/Meta-Paleo/Peer-Review-Transparency/blob/master/Key%20papers/Parker%20et%20al.%202018%20-%20Empowering%20peer%20reviewers%20with%20a%20checklist%20to%20improve%20transparency.pdf) and the [Peer Reviewers Openness Initiative](https://github.com/Meta-Paleo/Peer-Review-Transparency/blob/master/Key%20papers/Morey%20et%20al.%202018%20-%20The%20Peer%20Reviewers'%20Openness%20Initiative.%20incentivizing%20open%20research%20practices%20through%20peer%20review.pdf).

There is a great potential for such guidelines to become commonly adopted, to help strengthen the overall review process, while acting as an educational resource for reviewers. We anticipate that this will help to reduce bias and increase transparency, overall increasing the health of peer review in Palaeontology, and therefore become a valuable resource for the global Palaeontology community.

## How to contribute

Peer Review Transparency is an open project that anyone can [contribute to on GitHub](CONTRIBUTING.md). All data sources, methods, code, and results are openly shared for collaboration and inspection as the project evolves.

The main manuscript file can be found [**here**](manuscript.md), drafted initially in markdown.

We strongly encourage others to participate in the project, propose their own ideas, and to contribute or re-use any of the data or other information available here.

## Citation

Jon Tennant. (2019, December 30). Meta-Paleo/Peer-Review-Transparency: First release (Version v1.11). Zenodo. 
https://doi.org/10.5281/zenodo.3595177

<a href="https://doi.org/10.5281/zenodo.3595177"><img src="https://zenodo.org/badge/DOI/10.5281/zenodo.3595177.svg" alt="DOI"></a>

## License

This work is licensed [CC BY](LICENSE.md).
